Conceder autorización de cuenta
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject_id": "<string>",
"capability_key": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"grant_kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>",
"subject_type": "<string>",
"capability_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Schema para granting un new capability-based authorization.
concesión kind
capability, account_owner, super_admin Identificador de usuario o grupo
1Tipo de asunto: usuario o grupo
user, group, service_account capacidad key for capability grants
Identificador de recurso con alcance
Tipo de recurso con alcance
client, account, workspace, domain, dns_record, mailbox, redirect, forwarding, credential, tenant, route, proxy ¿Esta página le ayudó?
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject_id": "<string>",
"capability_key": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"grant_kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>",
"subject_type": "<string>",
"capability_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}